<?php include('casa/setup.casa.php');
include('inc_scripts.php');
$codigo_venta = DataForms::GET('id');
$cod_cliente = DataForms::GET('cod_cliente');
$contador_ventas = DataForms::GET('contador_ventas');

$title = 'PROFORMA DE VENTA';
echo "<title>".AppName.' - '.$title."</title>";

$sql = "SELECT MAX(asis_id) AS mx,asis_tipo FROM rol_usuarios_asistencia
	WHERE us_id = '$USID'
  	AND asis_tipo = 'inicio';";

	$db = new DB();
	$db->dbSQL($sql);
	$db->next();
    $id = $db->dbField('mx');
	$sql2 = "SELECT * FROM rol_usuarios_asistencia
	WHERE asis_id = '$id';";
	$db->dbSQL($sql2);
	$db->next();
    $codigo_universal = $db->dbField('asis_codigo');

$Ubicacion = new DB();
$sqlUbicacion = "SELECT * FROM inventarios_ubicaciones ubi, rol_usuarios us
WHERE ubi.ubica_codigo = us.ubica_codigo
AND us.us_id='$USID';";
$Ubicacion->dbSQL($sqlUbicacion);
if($Ubicacion->next())
	$ubica_nombre = $Ubicacion->dbField('ubica_nombre');
else
	$ubica_nombre = 'Central';

$Cliente	= new DB();
$sqlCliente = "SELECT * FROM inventarios_clientes cli
WHERE cli.clie_codigo = '$cod_cliente';";
$Cliente->dbSQL($sqlCliente);
$Cliente->next();
	$clie_id = $Cliente->dbField('clie_id');
	$clie_codigo = $Cliente->dbField('clie_codigo');
	$clie_cinit = $Cliente->dbField('clie_cinit');
	$clie_nombres = $Cliente->dbField('clie_nombres');
	$clie_apellidos = $Cliente->dbField('clie_apellidos');
	$clie_destino = $Cliente->dbField('clie_destino');
	$clie_celular = $Cliente->dbField('clie_celular');
	$clie_puntolista = $Cliente->dbField('clie_puntolista');
	$clie_puntoentrega = $Cliente->dbField('clie_puntoentrega');
	$clie_personarecoge = $Cliente->dbField('clie_personarecoge');
	$clie_tipopagonombre = $Cliente->dbField('clie_tipopagonombre');
	$clie_descuento = 0;$Cliente->dbField('clie_descuento');
	//$ubicacion_nombre = $Cliente->dbField('ubica_nombre');
	$clie_fecha = $Cliente->dbField('clie_fecha');
		$fec = explode(' ',$clie_fecha);
?>
<style>
th{background:#1269DB;
color:white;
text-align:center;
text-transform:uppercase;}	

.card-body{
	margin:4px;
	padding:0;
	border:3px solid #cccccc;
	border-radius:7px;
}
</style>

</head>
<body>
	
			<div class="content">
				
				<div class="page-inner">						
				<div class="row">
						<div class="col-md-12">
						<form>
							<div class="card">
								<div class="card-header">
									<img src="<?php echo PATH_HOME.'assets/img/logo3.jpg';?>" width='100%'>
									<div class="card-title" align=center><h1><b><?php echo $title?></b></h1></div>
								</div>
								<div class="card-body">
								<h3>N°: 0000<?php echo $contador_ventas;?></h3>
									
									<div class="row">										
										<div class="col-md-4 col-lg-4">
											<div class="form-group form-group-default">
												<b>Cliente:</b> <?php echo $clie_nombres.' '.$clie_apellidos ?><br>
												<b>CI/NIT: </b> <?php echo $clie_cinit ?><br>
												<b>Destino: </b> <?php echo $clie_destino ?><br>
												<b>Celular: </b> <?php echo $clie_celular ?>
											</div>																																
										</div>									
										
									</div>
									<div class="col-md-12 col-lg-12">
									<table class="display table table-striped table-hover">
											<thead>
												<tr>													
													<th>item</th>
													<th>descripción</th>
													<th>cajas</th>
													<th>Uni.</th>													
													<th>precio Uni.</th>
													<th>sub total</th>
												</tr>
											</thead>											
											<tbody>
											<?php
											$sql = "SELECT * FROM inventarios_productos prod, inventarios_ubicaciones ubi, ventas_productos ven
											WHERE prod.ubica_codigo = ubi.ubica_codigo
											AND ven.ubica_codigo = ubi.ubica_codigo
											AND ven.prod_codigo = prod.prod_codigo
											AND ven.ven_codigo = '$codigo_venta';";	
											$db= new DB();
											$db->dbSQL($sql);
											$html='';
											$i=0;
											$total = 0;
											while($db->next()){						
											$i++;												
												$ubica_nombre = str_replace(' ','&nbsp;',$db->dbField('ubica_nombre'));	
												$ubica_color = $db->dbField('ubica_color');			

												$prod_item = $db->dbField('prod_item');
												$prod_nombre = $db->dbField('prod_nombre');
												$prod_preciounitario = $db->dbField('prod_preciounitario');
												$prod_preciodocena = $db->dbField('prod_preciodocena');
												$prod_preciocajadocena = $db->dbField('prod_preciocajadocena');
												$prod_piezascaja = $db->dbField('prod_piezascaja');
												$prod_observaciones = $db->dbField('prod_observaciones');

												$ven_tipo = $db->dbField('ven_tipo');
												//ventas
												$ven_id = $db->dbField('ven_id');
												$ven_cantidad = $db->dbField('ven_cantidad');
												$ven_precio = $db->dbField('ven_precio');
												  switch($ven_tipo){
													case '1' : $tipo = 'Unidad'; 
														$precio = $prod_preciounitario;
														$piezas = 1;
														$unicaja = 'u';
														$cantidades = $ven_cantidad*$piezas;
														$precios = number_format(($precio/$piezas),2);
													break;
													case '2' : $tipo = 'Docena'; 
														$precio = $prod_preciodocena;
														$piezas = $prod_piezascaja*12;
														$unicaja = 'unidades';														
														$cantidades = $ven_cantidad;
														$precios = number_format(($precio),2);
													break;
													case '3' : $tipo = 'Caja Docena'; 
														$precio = $prod_preciocajadocena;
														$piezas = $prod_piezascaja;
														$unicaja = 'cajas';
														$cantidades = $ven_cantidad*$piezas;
														$precios = number_format(($precio/$piezas),2);
													break;
													case '4' : $tipo = 'Docena'; 
														$precio = $prod_preciodocena;
														$piezas = $prod_piezascaja;
														$unicaja = 'unidades';														
														$cantidades = $ven_cantidad;
														$precios = number_format(($precio),2);
													break;
												  }
												

												$total = $total + $ven_precio;
												$html.='<tr>';
													$html.='<td>'.$prod_item.'</td>';
													$html.='<td><b>'.$prod_nombre.'</b><br>
													'.$prod_observaciones.'</td>';
													
													$html.='<td align=right>'.$ven_cantidad.' '.$unicaja.'</td>';
													$html.='<td align=right>'.($cantidades).'</td>';
													$html.='<td align=right>'.$precios.'</td>';
													$html.='<td align=right>'.number_format(($precio/$piezas)*($ven_cantidad*$piezas),2).'</td>';													
												$html.='</tr>';											
												
											}//wend() 

											$html.= '<tr><td colspan=7 align=right><h3>Total Parcial: Bs. '.number_format($total,2).'</h3></td></tr>';											
											$html.= '<tr><td colspan=7 align=right><h3><b>TOTAL: Bs. '.number_format(($total),2).'</b></h3></td></tr>';
										
											echo utf8_encode($html);
											?>													
											</tbody>
										</table>	
									</div>
								</div>
								<div class="card-action" id='botones'><center>
									<div id='res'></div><input type="hidden" id="txtFecha">
									<button onclick='self.location="<?php echo PATH_HOME."cajas-cobrar/ver";?>";' class="btn btn-danger" type='button'><b> VOLVER </b></button>	
									<button id='bntImprimir' class="btn btn-info" type='button'><b> COBRAR e IMPRIMIR </b></button>	</center>								
								</div>
							</div>
						</form>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>
		
</body>
</html>
<script>
let fechas='';	
$(document).ready(function(){ 
  var tiempo = new Date();
  var mes =(tiempo.getMonth()+1);
    if(mes<10) mes = '0'+mes;
  var dia =tiempo.getDate();
    if(dia<10) dia='0'+dia;
  var ano = tiempo.getFullYear();
  /*var fecha = tiempo.toISOString().split('T')[2];*/
  var fecha = ano+'-'+mes+'-'+dia;
  let hh = tiempo.getHours();
    if(hh<10) hh = '0'+hh;
  let mm = tiempo.getMinutes();
    if(mm<10) mm = '0'+mm;
  let ss = tiempo.getSeconds();
    if(ss<10) ss = '0'+ss;
  let hora = hh+':'+mm+':'+ss;
  $('#txtFecha').val(fecha+';'+hora);
  fechas=fecha+';'+hora;
});	
$('#bntImprimir').click(function(){
	//self.location='<?php echo PATH_HOME."appcajeros-entregar2.php?id=".$codigo_venta; ?>&fechas='+fechas+'&codigo_universal=<?php echo $codigo_universal; ?>&cod_cliente=<?php echo $cod_cliente; ?>';
	window.open('<?php echo PATH_HOME."appcajeros-entregar2.php?id=".$codigo_venta; ?>&fechas='+fechas+'&codigo_universal=<?php echo $codigo_universal; ?>&cod_cliente=<?php echo $cod_cliente; ?>','Imprimir Venta App','width=700,height=500');
	/*
  $.post('<?php echo PATH_HOME."appcajeros-entregar2.php" ?>',{
	'id':'<?php echo $codigo_venta; ?>',
	'fechas':fechas,
	'codigo_universal':'<?php echo $codigo_universal; ?>',
	'cod_cliente':'<?php echo $cod_cliente; ?>',
	'MxEncoder': '<?php echo sha1(uniqid()); ?>'
  },function(data){
    $('#res').html(data);
  });  
*/
});
</script>